#!/bin/sh
export PATH='/usr/obj/ports/hs-aeson-0.9.0.1/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/X11R6/bin'
echo 'name: aeson
version: 0.9.0.1
id: aeson-0.9.0.1-aa1afb45227cb5365d400abec214e9ab
key: aeson_I1ARfXrEZCoHWD1GBzA5BX
license: BSD3
copyright: (c) 2011-2015 Bryan O'\''Sullivan
           (c) 2011 MailRank, Inc.
maintainer: Bryan O'\''Sullivan <bos@serpentine.com>
stability: experimental
homepage: https://github.com/bos/aeson
synopsis: Fast JSON parsing and encoding
description:
    A JSON parsing and encoding library optimized for ease of use
    and high performance.
    .
    To get started, see the documentation for the @Data.Aeson@ module
    below.
    .
    Parsing performance on an early 2011 MacBook Pro (2.2GHz Core i7),
    running 64-bit GHC 7.6.3, for mostly-English tweets from Twitter'\''s
    JSON search API:
    .
    * 0.8 KB: 34124 msg\/sec (27.8 MB\/sec)
    .
    * 6.4 KB: 6833 msg\/sec (43.0 MB\/sec)
    .
    * 11.8 KB: 3410 msg\/sec (39.2 MB\/sec)
    .
    * 31.2 KB: 1157 msg\/sec (35.3 MB\/sec)
    .
    * 61.5 KB: 542 msg\/sec (32.5 MB\/sec)
    .
    Handling heavily-escaped text is a little more work.  Here is
    parsing performance with Japanese tweets, where much of the text
    is entirely Unicode-escaped.
    .
    * 14.6 KB: 2101 msg\/sec (30.0 MB\/sec)
    .
    * 44.1 KB: 667 msg\/sec (28.7 MB\/sec)
    .
    * 82.9 KB: 360 msg\/sec (29.2 MB\/sec)
    .
    Encoding performance on the same machine and data:
    .
    * English, 0.8 KB: 109697 msg\/sec (89.3 MB\/sec)
    .
    * English, 6.4 KB: 18517 msg\/sec (116.4 MB\/sec)
    .
    * Engish, 61.5 KB: 1963 msg\/sec (118.0 MB\/sec)
    .
    * Japanese, 14.6 KB: 12140 msg\/sec (173.5 MB\/sec)
    .
    * Japanese, 44.1 KB: 3980 msg\/sec (171.3 MB\/sec)
    .
    (A note on naming: in Greek mythology, Aeson was the father of Jason.)
category: Text, Web, JSON
author: Bryan O'\''Sullivan <bos@serpentine.com>
exposed: True
exposed-modules:
    Data.Aeson Data.Aeson.Encode Data.Aeson.Generic Data.Aeson.Parser
    Data.Aeson.Types Data.Aeson.TH
hidden-modules: Data.Aeson.Encode.ByteString Data.Aeson.Functions
                Data.Aeson.Parser.Internal Data.Aeson.Types.Class
                Data.Aeson.Types.Generic Data.Aeson.Types.Instances
                Data.Aeson.Types.Internal
trusted: False
import-dirs: /usr/local/lib/ghc/aeson-0.9.0.1
library-dirs: /usr/local/lib/ghc/aeson-0.9.0.1
data-dir: /usr/local/share/hs-aeson-0.9.0.1
hs-libraries: HSaeson-0.9.0.1-I1ARfXrEZCoHWD1GBzA5BX
depends:
    attoparsec-0.13.0.1-558fa3671cad662173d67ba7d67cc03c
    base-4.8.2.0-8dd7859ce039df9f3d3f4ff9dbf4bb93
    bytestring-0.10.6.0-8a126a308e25adafa4b7221965acccd5
    containers-0.5.6.2-59326c33e30ec8f6afd574cbac625bbb
    deepseq-1.4.1.1-614b63b36dd6e29d2b35afff57c25311
    dlist-0.7.1.2-ff29ea897ce0546ab24638745f33b7b9
    ghc-prim-0.4.0.0-6cdc86811872333585fa98756aa7c51e
    hashable-1.2.3.3-60475b705ff927627e382b8063d6b2f0
    mtl-2.2.1-3af90341e75ee52dfc4e3143b4e5d219
    scientific-0.3.3.8-dfcdc9ad09f428d65befc0a560a69ba3
    syb-0.6-d154b8ffa473f7cfcfc32ca4d99f62f7
    template-haskell-2.10.0.0-c7288e88d93340cb71c8be26e11aa4d4
    text-1.2.1.3-d050b6e0fc32994b2ea423ca0ac22057
    time-1.5.0.1-1b9a502bb07a3e6f4d6935fbf9db7181
    transformers-0.4.2.0-81450cd8f86b36eaa8fa0cbaf6efc3a3
    unordered-containers-0.2.5.1-a679a39aa559a9128158043021762514
    vector-0.11.0.0-299aefb173ce5a731565d31f609a0cfd
haddock-interfaces: /usr/local/share/doc/hs-aeson-0.9.0.1/html/aeson.haddock
haddock-html: /usr/local/share/doc/hs-aeson-0.9.0.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
